=== debian/changelog ===
plotnetcfg (0.4.1-2) unstable; urgency=medium

  * plotnetcfg requires Linux, limit the architectures accordingly.
  * Switch to https: VCS URIs (see #810378).
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Apr 2016 23:45:08 +0200

plotnetcfg (0.4.1-1) unstable; urgency=low

  * Initial release. Closes: #799344.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Sep 2015 19:47:55 +0200
