=== debian/control ===
Source: plotnetcfg
Maintainer: Stephen Kitt <skitt@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9),
               libjansson-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/plotnetcfg.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/plotnetcfg.git
Homepage: https://github.com/jbenc/plotnetcfg

Package: plotnetcfg
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: local networking configuration diagram plotter
 plotnetcfg is a lightweight tool capable of scanning a machine's
 network configuration and producing a diagram of the local network
 hierarchy. It supports scanning across network namespaces, most types
 of network interfaces, and understands the specifics of VLANs,
 bridges, veth pairs and Open vSwitch.
