=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/plotnetcfg-$1.tar.gz/" \
         https://github.com/jbenc/plotnetcfg/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
